/*
 * (C) Maint Laboratory 2003-2007
 * Author: Elohin Igor'
 * e-mail: maint@unona.ru
 * fido  : 2:5070/156.52
 * URL   : http://maint.unona.ru
 */
#ifndef __COMMON_H__
#define __COMMON_H__

#define BUFSIZE 512
#ifndef TRUE
#define TRUE  1
#define FALSE 0
#endif

#define VERSION " v 0.8"
#define MSGBUF 512

void loginit(char *, char *);
void logclose(void);
void error(const char *fmt, ...);
void message(const char *fmt, ...);
void notice(const char *fmt, ...);
void dolog(int flag, const char *fmt, ...);
void die(int);
int readcfg();
int isfidogroup(char *);
int erase_outgoing_msgid(char *);
int connect_server(char *, int);
void disconnect_server();
void put_server(char *);
int get_server(char *);
char *get_line(char *);
void putaline(const char *fmt, ...);
char *diagtime(void);
void myerror(const char *fmt, ...);
int readnews(int, char *);

int post_FILE(FILE *, fpos_t *);
int post_MAIL(FILE *, char *, char *);
int post_MAIL(FILE *, char *, char *);
int post_MAIL2(FILE *, char *, char *);
int isgrouponserver(char *);
int ismsgidonserver(char *);
int isnum(char *);
char *alltrim(char *);
int lock_file(char *);
int remove_lock(int, char *);
int check_failed();
int mail2news(int, char *, char *, char *);

#endif
