/*
 * (C) Maint Laboratory 2003-2007
 * Author: Elohin Igor'
 * e-mail: maint@unona.ru
 * fido  : 2:5070/156.52
 * URL   : http://maint.unona.ru
 */
#ifndef __CONFIG_H__
#define __CONFIG_H__

#define OUTGOING "/var/spool/news/out.going"
#define FAILED_POSTING "/var/spool/news/failed.postings"
#define INCOMING "/var/spool/news/in.coming"
#define DUPE_POST "/var/spool/news/dupe.post"
#define INTERESTING_GROUPS "/var/spool/news/interesting.groups"
#define GROUPINFO "/var/spool/news/leaf.node/groupinfo"
#ifdef _BSD
#define LOCAL_GROUPINFO "/usr/local/etc/leafnode/local.groups"
#include <limits.h>
#else
#define LOCAL_GROUPINFO "/etc/leafnode/local.groups"
#endif
#define ACTIVE "/var/spool/news/active"
#define RFC2FTN  "/usr/local/libexec/rfc2ftn -n -v"
#define DELETE_CTRL_D  "/usr/local/bin/ctrld"	//  Ctrl+D   ,   leafnode
#define UTIL_LOGDIR  "/var/log/leafnode"
#define LEAFNODE_OWNER "news"
#define LOGFILE "util-leafnode.log"
#define LOCKFILE "/var/lock/news/leafnode-rnews.lock"
#define PORT_NEWSSERV 119

#ifdef READ_CONFIG
char outgoing[PATH_MAX];
char failed_posting[PATH_MAX];
char incoming[PATH_MAX];
char dupe_post[PATH_MAX];
char interesting_groups[PATH_MAX];
char groupinfo[PATH_MAX];
char local_groupinfo[PATH_MAX];
char active[PATH_MAX];
char rfc2ftn[PATH_MAX];
char delete_ctrl_d[PATH_MAX];	//  ctrl+d   ,   leafnode
char util_logdir[PATH_MAX];
char leafnode_owner[15];
char logfile[15];
char lockfile[PATH_MAX];
int  port_newsserv;
char ffgroups[128];
unsigned char new_format_groupinfo;
#else
extern char outgoing[];
extern char failed_posting[];
extern char incoming[];
extern char dupe_post[];
extern char interesting_groups[];
extern char groupinfo[];
extern char local_groupinfo[];
extern char active[];
extern char rfc2ftn[];
extern char delete_ctrl_d[];	//  ctrl+d   ,   leafnode
extern char util_logdir[];
extern char leafnode_owner[];
extern char logfile[];
extern char lockfile[];
extern int  port_newsserv;
extern char ffgroups[128];
unsigned char new_format_groupinfo;
#endif

#endif
